Insider transactions
curl --request GET \
--url https://www.prometheus.services/api/v1/companies/{id}/ownership/transactions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/companies/{id}/ownership/transactions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/companies/{id}/ownership/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cik": [
"0001045810"
],
"transactions": [
{
"accessionNumber": "0001310264-26-000008",
"transactionDate": "2026-08-10",
"filingDate": "2026-08-12",
"ownerCik": "0001310264",
"ownerName": "NORA JOHNSON SUZANNE M",
"officerTitle": null,
"isDirector": true,
"formType": "4",
"transactionCode": "A",
"acquiredDisposed": "A",
"shares": 1262,
"pricePerShare": 0,
"sharesOwnedFollowing": 1262,
"directOrIndirect": "D",
"isDerivative": false,
"securityTitle": "Common Stock",
"is10b51": false
},
{
"accessionNumber": "0001310264-26-000008",
"transactionDate": "2026-08-10",
"filingDate": "2026-08-12",
"ownerCik": "0001310264",
"ownerName": "NORA JOHNSON SUZANNE M",
"officerTitle": null,
"isDirector": true,
"formType": "4",
"transactionCode": "A",
"acquiredDisposed": "A",
"shares": 1148,
"pricePerShare": 0,
"sharesOwnedFollowing": 2410,
"directOrIndirect": "D",
"isDerivative": false,
"securityTitle": "Common Stock",
"is10b51": false
},
{
"accessionNumber": "0001197647-26-000007",
"transactionDate": "2026-08-05",
"filingDate": "2026-08-07",
"ownerCik": "0001197647",
"ownerName": "COXE TENCH",
"officerTitle": null,
"isDirector": true,
"formType": "4",
"transactionCode": "G",
"acquiredDisposed": "D",
"shares": 500000,
"pricePerShare": 0,
"sharesOwnedFollowing": 24671360,
"directOrIndirect": "I",
"isDerivative": false,
"securityTitle": "Common",
"is10b51": true
}
],
"page": 1,
"pageSize": 5,
"totalCount": 4429,
"totalPages": 886
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Ownership & Insiders
Insider transactions
Insider transactions (Forms 3/4/5).
GET
/
api
/
v1
/
companies
/
{id}
/
ownership
/
transactions
Insider transactions
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA) or numeric SEC CIK (zero-padding optional).
Query Parameters
Transaction filter.
Include derivative transactions (1).
1-based.
Page size.
Response
OK
The response is of type object.
⌘I